Bug 221061 - kpilot won't sync with Palm Tungsten E
kpilot won't sync with Palm Tungsten E
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-31 14:02 EST by Frank Cox
Modified: 2008-05-06 13:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:16:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Cox 2006-12-31 14:02:23 EST
Description of problem:
I just rebooted this computer to start from a clean slate.  I type kpilotDaemon
at the command line and get this:

QUOTE:
Link points to "/tmp/ksocket-frankcox"
Link points to "/tmp/kde-frankcox"
QSettings: failed to open file '/usr/lib/qt-3.3/etc/settings/qt_plugins_3.3rc'
kbuildsycoca running...
DCOP Cleaning up dead connections.
QSettings: failed to open file '/usr/lib/qt-3.3/etc/settings/qt_plugins_3.3rc'
X Error: BadWindow (invalid Window parameter) 3
  Major opcode:  40
  Minor opcode:  0
  Resource id:  0xc0031d
END OF QUOTE

However, kpilotDaemon is now running, according to the output from ps.

I then type kpilot at the command line, select "File" - "Restore", and get this
in the on-screen display:

QUOTE:
Version: KPilot 4.6.0 (blivit)
Version: pilot-link 0.11.8
Version: KDE 3.5.5-0.2.fc6 Fedora-Core
Version: Qt 3.3.7

HotSync Log

12:27:39 Daemon status is `Waiting for sync'
12:27:46 Next sync will restore the Pilot from backup. Please press the HotSync
button. 12:27:46 Next HotSync will be: Restore From Backup. Please press the
HotSync button.
END OF QUOTE

I hit the hotsync button on my Palm and get this in the on-screen display:

QUOTE
12:27:54 Device link ready.
END OF QUOTE

I then sit and wait and nothing happens for a minute or two, then my Palm times
out and I get this in the on-screen display:

QUOTE:
12:30:10 Unable to read system information from Pilot
END OF QUOTE

And that's it.

Relevant entries from /var/log/messages:

Dec 31 11:31:11 jeff kernel: usb 1-2: new full speed USB device using uhci_hcd a
nd address 3
Dec 31 11:31:11 jeff kernel: usb 1-2: configuration #1 chosen from 1 choice
Dec 31 11:31:12 jeff kernel: visor 1-2:1.0: Handspring Visor / Palm OS converter
 detected
Dec 31 11:31:12 jeff kernel: usb 1-2: Handspring Visor / Palm OS converter now a
ttached to ttyUSB0
Dec 31 11:31:12 jeff kernel: usb 1-2: Handspring Visor / Palm OS converter now a
ttached to ttyUSB1
Dec 31 11:32:17 jeff kernel: usb 1-2: USB disconnect, address 3
Dec 31 11:32:17 jeff kernel: visor ttyUSB0: Handspring Visor / Palm OS converter
 now disconnected from ttyUSB0
Dec 31 11:32:17 jeff kernel: visor ttyUSB1: Handspring Visor / Palm OS converter
 now disconnected from ttyUSB1
Dec 31 11:32:17 jeff kernel: visor 1-2:1.0: device disconnected


Version-Release number of selected component (if applicable):
kdepim-3.5.5-0.2.fc6


How reproducible:
Every time

Steps to Reproduce:
1.Plug in Palm Tungsten E
2. Type kpilotDaemon
3. Type kpilot
4. Select "File-Restore"
5. Hit hotsync button on Palm
6. "Device link ready" appears on kpilot status screen

  
Actual results:
Error message "Unable to read system information from Pilot"

Expected results:
Data transfer to Palm

Additional info:
Comment 1 Bug Zapper 2008-04-04 01:25:27 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 13:16:19 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.